---
search:
  tags:
    - Companies
    - GET
seo:
  description: >-
    List companies with aggregated statistics across all associated persons.
    Reference for the GET /companies endpoint in the Modem API.
sidebar:
  label: List companies
  badge: GET
title: List companies
type: openapi-operation
---
List companies with aggregated statistics across all associated persons

`GET /companies`

**Responses**

- `200` — OK
- `400` — Invalid request (validation failed).
- `401` — Missing or invalid API key.
- `403` — The API key does not have access to this resource.
- `404` — The requested resource was not found.
- `429` — Rate limit exceeded.
- `500` — Internal server error.

Response example, 200:

```json
{
  "data": [
    {
      "id": "string",
      "isOrgCompany": true,
      "isVip": true,
      "lastSeenAt": "2019-08-24T14:15:22Z",
      "logoUrl": "http://example.com",
      "messageCount": 0,
      "name": "string",
      "personCount": 0,
      "primaryDomain": "string"
    }
  ],
  "limit": 1,
  "page": 1,
  "totalCount": 0
}
```
